# This file was automatically created by FeynRules $Revision: 999 $
# Mathematica version: 7.0 for Linux x86 (64-bit) (February 18, 2009)
# Date: Mon 30 Jan 2012 19:57:04


from object_library import all_parameters, Parameter
from function_library import complexconjugate, re, im, csc, sec, acsc, asec, arg, reglog


ZERO = Parameter(name = 'ZERO',
                 nature = 'internal',
                 type = 'real',
                 value = '0.0',
                 texname = '0')


lhv = Parameter(name = 'lhv',
                nature = 'internal',
                type = 'real',
                value = '1.0',
                texname = '\lambda_{HV}')


Ncol = Parameter(name = 'Ncol',
                 nature = 'internal',
                 type = 'real',
                 value = '3.0',
                 texname = 'N_{col}')


CA = Parameter(name = 'CA',
               nature = 'internal',
               type = 'real',
               value = '3.0',
               texname = 'C_{A}')


CF = Parameter(name = 'CF',
               nature = 'internal',
               type = 'real',
               value = '(4.0/3.0)',
               texname = 'C_{F}')


TF = Parameter(name = 'TF',
               nature = 'internal',
               type = 'real',
               value = '0.5',
               texname = 'T_{F}')


MU_R = Parameter(name = 'MU_R',
                 nature = 'external',
                 type = 'real',
                 value = 91.188,
                 texname = '\text{\mu_r}',
                 lhablock = 'LOOP',
                 lhacode = [ 1 ])


aEWM1 = Parameter(name = 'aEWM1',
                  nature = 'external',
                  type = 'real',
                  value = 127.9,
                  texname = '\text{aEWM1}',
                  lhablock = 'SMINPUTS',
                  lhacode = [ 1 ])


aEW = Parameter(name = 'aEW',
                nature = 'internal',
                type = 'real',
                value = '1/aEWM1',
                texname = '\alpha _{\text{EW}}')


ee = Parameter(name = 'ee',
               nature = 'internal',
               type = 'real',
               value = '2*cmath.sqrt(aEW)*cmath.sqrt(cmath.pi)',
               texname = 'e')


aS = Parameter(name = 'aS',
               nature = 'external',
               type = 'real',
               value = 0.1184,
               texname = '\alpha_s',
               lhablock = 'SMINPUTS',
               lhacode = [ 3 ])


G = Parameter(name = 'G',
              nature = 'internal',
              type = 'real',
              value = '2*cmath.sqrt(aS)*cmath.sqrt(cmath.pi)',
              texname = 'G')


epsUV = Parameter(name = 'epsUV',
                  nature = 'external',
                  type = 'real',
                  value = 1.0,
                  texname = '\text{\eps_{UV}}',
                  lhablock = 'LOOP',
                  lhacode = [ 2 ])


epsIR = Parameter(name = 'epsIR',
                  nature = 'external',
                  type = 'real',
                  value = 1.0,
                  texname = '\text{\eps_{IR}}',
                  lhablock = 'LOOP',
                  lhacode = [ 3 ])


Me = Parameter(name = 'Me',
               nature = 'external',
               type = 'real',
               value = 0.000511,
               texname = '\text{Me}',
               lhablock = 'MASS',
               lhacode = [ 11 ])


MMU = Parameter(name = 'MMU',
                nature = 'external',
                type = 'real',
                value = 0.10566,
                texname = '\text{MMU}',
                lhablock = 'MASS',
                lhacode = [ 13 ])


MTA = Parameter(name = 'MTA',
                nature = 'external',
                type = 'real',
                value = 1.777,
                texname = '\text{MTA}',
                lhablock = 'MASS',
                lhacode = [ 15 ])


MU = Parameter(name = 'MU',
               nature = 'external',
               type = 'real',
               value = 0.00255,
               texname = '\text{MU}',
               lhablock = 'MASS',
               lhacode = [ 2 ])


MC = Parameter(name = 'MC',
               nature = 'external',
               type = 'real',
               value = 1.27,
               texname = '\text{MC}',
               lhablock = 'MASS',
               lhacode = [ 4 ])


WT = Parameter(name = 'WT',
               nature = 'external',
               type = 'real',
               value = 1.50833649,
               texname = '\text{WT}',
               lhablock = 'DECAY',
               lhacode = [ 6 ])


MT = Parameter(name = 'MT',
               nature = 'external',
               type = 'real',
               value = 172,
               texname = '\text{MT}',
               lhablock = 'MASS',
               lhacode = [ 6 ])


MD = Parameter(name = 'MD',
               nature = 'external',
               type = 'real',
               value = 0.00504,
               texname = '\text{MD}',
               lhablock = 'MASS',
               lhacode = [ 1 ])


MS = Parameter(name = 'MS',
               nature = 'external',
               type = 'real',
               value = 0.101,
               texname = '\text{MS}',
               lhablock = 'MASS',
               lhacode = [ 3 ])


MB = Parameter(name = 'MB',
               nature = 'external',
               type = 'real',
               value = 4.7,
               texname = '\text{MB}',
               lhablock = 'MASS',
               lhacode = [ 5 ])


